<template>
  <div class="download-center">
    <div class="project-block"></div>
    <p class="theme-min-headline">下载中心</p>
    <el-card class="box-card" shadow="never">
      <div slot="header" class="clearfix">
        <span class="theme-min-headline">必备组件</span>
      </div>
      <el-row class="download">
        <el-col v-for="(item, index) in items" :key="'com' + index">
          <a :href="item.url">
            <el-card shadow="hover" class="download-card">
              <i class="el-icon-files icon-left"></i>
              {{ item.name }}
              <i class="el-icon-download icon-right"></i>
            </el-card>
          </a>
        </el-col>
      </el-row>
    </el-card>
    <el-card class="box-card" shadow="never" style="margin-top:30px">
      <div slot="header" class="clearfix">
        <span class="theme-min-headline">相关课件</span>
      </div>
      <el-row class="download">
        <el-col v-for="(item, index) in classData" :key="'class' + index">
          <a :href="`${httpHost}${item.url}`">
            <el-card shadow="hover" class="download-card">
              <i class="el-icon-files icon-left"></i>
              {{ item.name }}
              <i class="el-icon-download icon-right"></i>
            </el-card>
          </a>
        </el-col>
      </el-row>
    </el-card>
  </div>
</template>
<script>
export default {
  name: "downloadCenter",
  data() {
    return {
      items: [
        {
          name: "chrome浏览器",
          url:
            "http://dl.google.com/release2/chrome/Oj4B6E-TCW_bZ17Q1uCfHQ_76.0.3809.100/76.0.3809.100_chrome_installer.exe"
        },
        {
          name: "UnityWebPlayer",
          url: "/files/UnityWebPlayer.zip"
        }
      ],
      classData: [
        {
          name: "第1章 人生的青春之问",
          url: "/ppts/第1章 人生的青春之问.ppt"
        },
        {
          name: "第2章 坚定理想信念",
          url: "/ppts/第2章 坚定理想信念.ppt"
        },
        {
          name: "第3章 弘扬中国精神 第1节",
          url: "/ppts/第3章 弘扬中国精神 第1节.pptx"
        },
        {
          name: "第3章 弘扬中国精神 第2节",
          url: "/ppts/第3章 弘扬中国精神 第2节.pptx"
        },
        {
          name: "第4章 践行社会主义核心价值观",
          url: "/ppts/第4章 践行社会主义核心价值观.pptx"
        },
        {
          name: "第5章 明大德守公德严私德",
          url: "/ppts/第4章 践行社会主义核心价值观.ppt"
        }
      ]
    };
  },
  computed: {
    httpHost() {
      if (process.env.NODE_ENV === "development")
        return "http://localhost:3000";
      return `http://${location.host}`;
    }
  }
};
</script>
<style lang="scss">
.download-center {
  .el-card {
    border: 0;
  }
  .el-card__header {
    border-bottom: 0px !important;
    border-left: 5px solid #e72324 !important;
    text-align: left;
  }
  .download {
    .el-card {
      border-bottom: 1px solid #ebeef5;
    }
    .icon-left {
      color: #e72324;
      padding-right: 20px;
    }
    .icon-right {
      color: #e72324;
      float: right;
    }
  }
  .download-card {
    text-align: left;
    font-size: 20px;
  }
}
</style>
